// CFTTRenderTargetOGLES - [2020-04-13 11:57:46]
#ifndef _CFTTRENDERTARGETOGLES_H_
#define _CFTTRENDERTARGETOGLES_H_

#include "common.h"
#include "CFTTRenderTarget.h"

/*
00228F50 CFTTRenderTargetOGLES::CFTTRenderTargetOGLES()
00228F74 CFTTRenderTargetOGLES::CFTTRenderTargetOGLES(uint)
00228F90 CFTTRenderTargetOGLES::~CFTTRenderTargetOGLES()
00228FB8 CFTTRenderTargetOGLES::~CFTTRenderTargetOGLES()
00228FC8 CFTTRenderTargetOGLES::Activate(bool)
00229184 CFTTRenderTargetOGLES::ApplyViewport()
002291E0 CFTTRenderTargetOGLES::SetColourBuffer(int,CFTTRenderBuffer *)
002291E8 CFTTRenderTargetOGLES::SetDepthBuffer(CFTTRenderBuffer *)
002291EC CFTTRenderTargetOGLES::SetColourBufferMS(int,CFTTRenderBuffer *)
002291F4 CFTTRenderTargetOGLES::SetDepthBufferMS(CFTTRenderBuffer *)
002291F8 CFTTRenderTargetOGLES::ExtractColourBuffer()

vptr_CFTTRenderTargetOGLES_328C1C:
  CFTTRenderTargetOGLES::~CFTTRenderTargetOGLES()
  CFTTRenderTargetOGLES::~CFTTRenderTargetOGLES()
  CFTTRenderTargetOGLES::SetColourBuffer(int,CFTTRenderBuffer *)
  CFTTRenderTargetOGLES::SetColourBufferMS(int,CFTTRenderBuffer *)
  CFTTRenderTargetOGLES::SetDepthBuffer(CFTTRenderBuffer *)
  CFTTRenderTargetOGLES::SetDepthBufferMS(CFTTRenderBuffer *)
  CFTTRenderTargetOGLES::ApplyViewport(void)
  CFTTRenderTargetOGLES::Activate(bool)
  CFTTRenderTarget::Deactivate(void)
  CFTTRenderTargetOGLES::ExtractColourBuffer(void)
*/

class CFTTRenderTargetOGLES : public CFTTRenderTarget {
public:
  CFTTRenderTargetOGLES();                     // 00228F50
  CFTTRenderTargetOGLES(GLuint framebuffers);  // 00228F74
  virtual ~CFTTRenderTargetOGLES();            // 00228F90 00228FB8

  virtual void SetColourBuffer(int, CFTTRenderBuffer *);    // 002291E0
  virtual void SetColourBufferMS(int, CFTTRenderBuffer *);  // 002291EC
  virtual void SetDepthBuffer(CFTTRenderBuffer *);          // 002291E8
  virtual void SetDepthBufferMS(CFTTRenderBuffer *);        // 002291F4
  virtual void ApplyViewport();                             // 00229184
  virtual void Activate(bool a2);                           // 00228FC8
  virtual CFTTTexture *ExtractColourBuffer();               // 002291F8

  GLuint framebuffers_30;
  CFTTTexture *pTexture_34;
  CFTTTexture *pTexture_38;
};

#endif  //_CFTTRENDERTARGETOGLES_H_